Application: gvSIG desktop - gvSIG bugs #2582
SEXTANTE Merge geoprocess returns always an empty layer
06/19/2014 04:57 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Geoprocess

Target version: 2.1.0-2254-testing

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2229 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: merge Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

SEXTANTE Merge geoalgorithm returns always an empty layer, even if the input layers are defined in same CRS.
How to reproduce this bug:

1) Create a random vector layer made of one polygon (two times);

2) Execute the Merge geoalgorithm (Tools for vector layers).

See the sextante.log in attachment.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2849: Several SEXTANTE g... Closed 10/03/2014

History

#1 - 06/19/2014 05:00 AM - Antonio Falciano

In the sextante.log there's a warning:

WARNING:

Distintos_ CRS

...s0 this issue could potentially affect other SEXTANTE geoprocesses.

#2 - 10/03/2014 10:29 AM - Antonio Falciano
- File sextante_merge_2247.log added

Something is changed in the meanwhile, so | attach another sextante.log. There's a java.lang.ArraylndexOutOfBoundsException probably due to the
GEOMETRY field available in both table definitions. See also #2849.

#3 - 10/13/2014 07:14 AM - Alvaro Anguix
- Related to gvSIG bugs #2849: Several SEXTANTE geoprocesses don't work fine due to the GEOMETRY field added
#4 - 10/16/2014 04:53 AM - Joaquin del Cerro Murciano

- Target version set to 2.1.0-2259-rc3
- Assignee set to Francisco Diaz Carsi
#5 - 10/16/2014 09:30 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2251-testing

- Status changed from New to Fixed
#6 - 10/16/2014 12:17 PM - Antonio Falciano

- Status changed from Fixed to New
- File gvSIG_merge.log added

| reopen the ticket, because the result of SEXTANTE Merge is an empty layer yet in build 2251. See gvSIG.log in attachment.

#7 - 10/17/2014 04:43 AM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2251-testing to 2.1.0-2259-rc3

#8 - 10/22/2014 03:43 AM - Francisco Diaz Carsi

- Status changed from New to In progress

#9 - 10/23/2014 04:31 AM - Francisco Diaz Carsi

- Status changed from In progress to Fixed

#10 - 10/24/2014 08:08 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2254-testing

#11 - 10/27/2014 04:32 AM - Antonio Falciano

- Target version changed from 2.1.0-2254-testing to 2.1.0-2259-rc3

- Status changed from Fixed to New

Same issue of RC2 in build 2254. It seems that the org.gvsig.geoprocess add-on build version is 2087 (the same of RC2) instead of 2090.

#12 - 10/27/2014 05:03 AM - Alvaro Anguix
- Status changed from New to Fixed

Hi Antonio, the bug is fixed but we don't test in build 2254. | change to fixed.

#13 - 10/27/2014 12:15 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2254-testing

#14 - 10/27/2014 12:56 PM - Antonio Falciano

- Status changed from Fixed to Closed

The output layer is correctly generated now (thank you very much), however its attribute table contains an ID field with all zeros (it should be trivial to

fix). | think that we can close this ticket and open another one about the attribute table issue.

Files
sextante.log 2.82 KB 06/19/2014 Antonio Falciano
sextante_merge_2247.log 2.15 KB 10/03/2014 Antonio Falciano

04/25/2024 2/3



gvSIG_merge.log 313 KB 10/16/2014 Antonio Falciano
